Subject: Higher-level change review?

From: Dave Abrahams <dave-xT6NqnoQrPdWk0Htik3J/[email-masked]>
Date: Sun, 16 Oct 2011 10:31:51 -0400

I've been working on a fairly large Org outline and also merging
upstream code changes in a project that does a lot of refactoring, and
I've discovered that Git's diff format is poorly-suited to reviewing the
kinds of structural modifications I often deal with, where indentation
changes and large parts of documents are reorganized.  Are there better
ways to review, stage, etc. this kind of change than by using
straight-ahead diffs?  And, for the magit list, has anyone integrated
an improved review capability with magit?

Hints most appreciated,

-- 
Dave Abrahams
BoostPro Computing
http://www.boostpro.com